<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ldt.shop.mapper.ShopMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="shopResultMap" type="org.springblade.modules.ldt.shop.entity.Shop">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="mall_id" property="mallId"/>
        <result column="mall_area_id" property="mallAreaId"/>
        <result column="person_name" property="personName"/>
        <result column="person_id_card" property="personIdCard"/>
        <result column="id_card_front" property="idCardFront"/>
        <result column="id_card_contrary" property="idCardContrary"/>
        <result column="person_tel" property="personTel"/>
        <result column="province_code" property="provinceCode"/>
        <result column="city_code" property="cityCode"/>
        <result column="email" property="email"/>
        <result column="area_code" property="areaCode"/>
        <result column="province" property="province"/>
        <result column="city" property="city"/>
        <result column="area" property="area"/>
        <result column="name" property="name"/>
        <result column="score" property="score"/>
        <result column="cover" property="cover"/>
        <result column="sales" property="sales"/>
        <result column="slogan" property="slogan"/>
        <result column="longitude" property="longitude"/>
        <result column="latitude" property="latitude"/>
        <result column="address" property="address"/>
        <result column="full_name" property="fullName"/>
        <result column="web_url" property="webUrl"/>
        <result column="legal_person_name" property="legalPersonName"/>
        <result column="label_ids" property="labelIds"/>
        <result column="business_license" property="businessLicense"/>
        <result column="shop_pic" property="shopPic"/>
        <result column="audit_status" property="auditStatus"/>
        <result column="audit_advice" property="auditAdvice"/>
        <result column="member_count" property="memberCount"/>
        <result column="total_point_value" property="totalPointValue"/>
        <result column="agenter_id" property="agenterId"/>
    </resultMap>


    <select id="selectShopPage" resultMap="shopResultMap">
        select * from ldt_shop where is_deleted = 0
    </select>

</mapper>
